<?xml version="1.0" encoding="UTF-8"?>
<config install4jVersion="7.0.11" install4jBuild="7354" type="unix" archive="true" bitness="undefined">
  <general applicationName="ActiveMFT Gateway Agent" applicationVersion="5.0.4.116" mediaSetId="261" applicationId="1899-7200-2634-1936" status="LCOK" mediaName="activemft-gateway-agent-install-5.0.4.116" jreVersion="" minJavaVersion="1.8" publisherName="Advanced Systems Concepts Inc." publisherURL="http://www.jscape.com" jreShared="false" lzmaCompression="false" pack200Compression="false" installerType="1" addOnAppId="" suggestPreviousLocations="true" uninstallerFilename="uninstall" uninstallerDirectory="." />
  <languages skipLanguageSelection="false" languageSelectionInPrincipalLanguage="false">
    <variable id="en" name="English" messageFile="i4j_extf_0_o53sel.utf8" customLocalizationFile="i4j_extf_1_o53sel.utf8" />
  </languages>
  <compilerVariables>
    <variable name="app.version" value="5.0.4.116" />
    <variable name="sys.version" value="5.0.4.116" />
    <variable name="sys.shortName" value="activemft_gateway_agent" />
    <variable name="sys.fullName" value="ActiveMFT Gateway Agent" />
    <variable name="sys.publisher" value="Advanced Systems Concepts Inc." />
    <variable name="sys.publisherUrl" value="http://www.jscape.com" />
    <variable name="sys.setName" value="Unix Archive" />
    <variable name="sys.platform" value="unix" />
    <variable name="sys.languageId" value="en" />
    <variable name="sys.withJre" value="" />
    <variable name="sys.date" value="20210528" />
    <variable name="sys.time" value="062509" />
    <variable name="sys.timestamp" value="1622183109789" />
    <variable name="sys.javaMinVersion" value="1.8" />
    <variable name="sys.javaMaxVersion" value="" />
    <variable name="sys.install4jHome" value="/home/bamboo/bamboo-agent-home/xml-data/build-dir/REVERSEPROXY-PRODUCTION-JOB1/lib/build/install4j" />
    <variable name="sys.applicationId" value="1899-7200-2634-1936" />
    <variable name="sys.updatesUrl" value="" />
    <variable name="sys.fileSeparator" value="/" />
    <variable name="sys.pathlistSeparator" value=":" />
    <variable name="sys.mediaFileSeparator" value="/" />
    <variable name="sys.mediaPathlistSeparator" value=":" />
  </compilerVariables>
  <customCode />
  <styles>
    <style id="2803" customizedId="" idNamespace="">
      <java class="java.beans.XMLDecoder">
        <object class="com.install4j.runtime.beans.styles.FormStyle" />
      </java>
      <formComponents>
        <formComponent id="2804" customizedId="" idNamespace="" initClassName="" visibilityClassName="" insetsTop="0" insetsLeft="0" insetsBottom="0" insetsRight="0" resetInitOnPrevious="false">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.styles.NestedStyleComponent">
              <void property="styleId">
                <string>2816</string>
              </void>
            </object>
          </java>
        </formComponent>
        <group id="2805" customizedId="" idNamespace="">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.groups.VerticalFormComponentGroup" />
          </java>
          <beans>
            <formComponent id="2806" customizedId="" idNamespace="" initClassName="" visibilityClassName="" insetsTop="10" insetsLeft="20" insetsBottom="10" insetsRight="20" resetInitOnPrevious="false">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.styles.ContentComponent" />
              </java>
            </formComponent>
            <formComponent id="2807" customizedId="" idNamespace="" initClassName="" visibilityClassName="" insetsTop="0" insetsLeft="5" insetsBottom="0" insetsRight="0" resetInitOnPrevious="false">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.formcomponents.SeparatorComponent">
                  <void property="enabledTitleText">
                    <boolean>false</boolean>
                  </void>
                  <void property="labelText">
                    <string>install4j</string>
                  </void>
                </object>
              </java>
            </formComponent>
            <formComponent id="2808" customizedId="" idNamespace="" initClassName="" visibilityClassName="" insetsTop="0" insetsLeft="0" insetsBottom="0" insetsRight="0" resetInitOnPrevious="false">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.styles.NestedStyleComponent">
                  <void property="styleId">
                    <string>2820</string>
                  </void>
                </object>
              </java>
            </formComponent>
          </beans>
        </group>
      </formComponents>
    </style>
    <style id="2809" customizedId="" idNamespace="">
      <java class="java.beans.XMLDecoder">
        <object class="com.install4j.runtime.beans.styles.FormStyle" />
      </java>
      <formComponents>
        <group id="2810" customizedId="" idNamespace="">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.groups.VerticalFormComponentGroup">
              <void property="backgroundColor">
                <object class="java.awt.Color">
                  <int>255</int>
                  <int>255</int>
                  <int>255</int>
                  <int>255</int>
                </object>
              </void>
              <void property="borderSides">
                <object class="com.install4j.runtime.beans.formcomponents.BorderSides">
                  <void property="bottom">
                    <boolean>true</boolean>
                  </void>
                </object>
              </void>
              <void property="imageEdgeBackgroundColor">
                <object class="java.awt.Color">
                  <int>25</int>
                  <int>143</int>
                  <int>220</int>
                  <int>255</int>
                </object>
              </void>
              <void property="imageEdgeBorder">
                <boolean>true</boolean>
              </void>
              <void property="imageFile">
                <object class="com.install4j.api.beans.ExternalFile">
                  <string>i4j_extf_3_o53sel_18gg8kx.png</string>
                </object>
              </void>
              <void property="insets">
                <object class="java.awt.Insets">
                  <int>5</int>
                  <int>10</int>
                  <int>10</int>
                  <int>10</int>
                </object>
              </void>
            </object>
          </java>
          <beans>
            <formComponent id="2811" customizedId="" idNamespace="" initClassName="" visibilityClassName="" insetsTop="0" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.styles.ScreenTitleComponent">
                  <void property="labelFontSizePercent">
                    <int>130</int>
                  </void>
                  <void property="labelFontStyle">
                    <object class="java.lang.Enum" method="valueOf">
                      <class>com.install4j.runtime.beans.formcomponents.FontStyle</class>
                      <string>BOLD</string>
                    </object>
                  </void>
                  <void property="labelFontType">
                    <object class="java.lang.Enum" method="valueOf">
                      <class>com.install4j.runtime.beans.formcomponents.FontType</class>
                      <string>DERIVED</string>
                    </object>
                  </void>
                </object>
              </java>
            </formComponent>
            <formComponent id="2812" customizedId="" idNamespace="" initClassName="" visibilityClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.formcomponents.SeparatorComponent" />
              </java>
            </formComponent>
            <formComponent id="2813" customizedId="" idNamespace="" initClassName="" visibilityClassName="" insetsTop="10" insetsLeft="0" insetsBottom="0" insetsRight="0" resetInitOnPrevious="false">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.styles.ContentComponent" />
              </java>
            </formComponent>
          </beans>
        </group>
        <formComponent id="2814" customizedId="" idNamespace="" initClassName="" visibilityClassName="" insetsTop="3" insetsLeft="0" insetsBottom="0" insetsRight="0" resetInitOnPrevious="false">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.styles.NestedStyleComponent">
              <void property="styleId">
                <string>2820</string>
              </void>
            </object>
          </java>
        </formComponent>
      </formComponents>
    </style>
    <style id="2816" customizedId="" idNamespace="">
      <java class="java.beans.XMLDecoder">
        <object class="com.install4j.runtime.beans.styles.FormStyle">
          <void property="fillVertical">
            <boolean>false</boolean>
          </void>
          <void property="standalone">
            <boolean>false</boolean>
          </void>
          <void property="verticalAnchor">
            <object class="java.lang.Enum" method="valueOf">
              <class>com.install4j.api.beans.Anchor</class>
              <string>NORTH</string>
            </object>
          </void>
        </object>
      </java>
      <formComponents>
        <group id="2817" customizedId="" idNamespace="">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.groups.VerticalFormComponentGroup">
              <void property="backgroundColor">
                <object class="java.awt.Color">
                  <int>255</int>
                  <int>255</int>
                  <int>255</int>
                  <int>255</int>
                </object>
              </void>
              <void property="borderSides">
                <object class="com.install4j.runtime.beans.formcomponents.BorderSides">
                  <void property="bottom">
                    <boolean>true</boolean>
                  </void>
                </object>
              </void>
              <void property="imageAnchor">
                <object class="java.lang.Enum" method="valueOf">
                  <class>com.install4j.api.beans.Anchor</class>
                  <string>NORTHEAST</string>
                </object>
              </void>
              <void property="imageEdgeBorderWidth">
                <int>2</int>
              </void>
              <void property="imageFile">
                <object class="com.install4j.api.beans.ExternalFile">
                  <string>icon:${installer:sys.installerApplicationMode}_header.png</string>
                </object>
              </void>
              <void property="imageInsets">
                <object class="java.awt.Insets">
                  <int>0</int>
                  <int>5</int>
                  <int>1</int>
                  <int>1</int>
                </object>
              </void>
              <void property="insets">
                <object class="java.awt.Insets">
                  <int>0</int>
                  <int>20</int>
                  <int>0</int>
                  <int>10</int>
                </object>
              </void>
            </object>
          </java>
          <beans>
            <formComponent id="2818" customizedId="" idNamespace="" initClassName="" visibilityClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.styles.ScreenTitleComponent">
                  <void property="labelFontStyle">
                    <object class="java.lang.Enum" method="valueOf">
                      <class>com.install4j.runtime.beans.formcomponents.FontStyle</class>
                      <string>BOLD</string>
                    </object>
                  </void>
                  <void property="labelFontType">
                    <object class="java.lang.Enum" method="valueOf">
                      <class>com.install4j.runtime.beans.formcomponents.FontType</class>
                      <string>DERIVED</string>
                    </object>
                  </void>
                </object>
              </java>
            </formComponent>
            <formComponent id="2819" customizedId="" idNamespace="" initClassName="" visibilityClassName="" insetsTop="3" insetsLeft="8" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.styles.ScreenTitleComponent">
                  <void property="titleType">
                    <object class="java.lang.Enum" method="valueOf">
                      <class>com.install4j.runtime.beans.styles.TitleType</class>
                      <string>SUB_TITLE</string>
                    </object>
                  </void>
                </object>
              </java>
            </formComponent>
          </beans>
        </group>
      </formComponents>
    </style>
    <style id="2820" customizedId="" idNamespace="">
      <java class="java.beans.XMLDecoder">
        <object class="com.install4j.runtime.beans.styles.FormStyle">
          <void property="fillVertical">
            <boolean>false</boolean>
          </void>
          <void property="standalone">
            <boolean>false</boolean>
          </void>
          <void property="verticalAnchor">
            <object class="java.lang.Enum" method="valueOf">
              <class>com.install4j.api.beans.Anchor</class>
              <string>SOUTH</string>
            </object>
          </void>
        </object>
      </java>
      <formComponents>
        <group id="2821" customizedId="" idNamespace="">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.groups.HorizontalFormComponentGroup">
              <void property="alignFirstLabel">
                <boolean>false</boolean>
              </void>
              <void property="insets">
                <object class="java.awt.Insets">
                  <int>3</int>
                  <int>5</int>
                  <int>8</int>
                  <int>5</int>
                </object>
              </void>
            </object>
          </java>
          <beans>
            <formComponent id="2822" customizedId="" idNamespace="" initClassName="" visibilityClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.formcomponents.SpringComponent" />
              </java>
            </formComponent>
            <formComponent id="2823" customizedId="" idNamespace="" initClassName="" visibilityClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.styles.StandardControlButtonComponent">
                  <void property="buttonText">
                    <string>&lt; ${i18n:ButtonBack}</string>
                  </void>
                  <void property="controlButtonType">
                    <object class="java.lang.Enum" method="valueOf">
                      <class>com.install4j.api.context.ControlButtonType</class>
                      <string>PREVIOUS</string>
                    </object>
                  </void>
                </object>
              </java>
            </formComponent>
            <formComponent id="2824" customizedId="" idNamespace="" initClassName="" visibilityClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.styles.StandardControlButtonComponent">
                  <void property="buttonText">
                    <string>${i18n:ButtonNext} &gt;</string>
                  </void>
                  <void property="controlButtonType">
                    <object class="java.lang.Enum" method="valueOf">
                      <class>com.install4j.api.context.ControlButtonType</class>
                      <string>NEXT</string>
                    </object>
                  </void>
                </object>
              </java>
            </formComponent>
            <formComponent id="2825" customizedId="" idNamespace="" initClassName="" visibilityClassName="" insetsTop="3" insetsLeft="5" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.styles.StandardControlButtonComponent">
                  <void property="buttonText">
                    <string>${i18n:ButtonCancel}</string>
                  </void>
                  <void property="controlButtonType">
                    <object class="java.lang.Enum" method="valueOf">
                      <class>com.install4j.api.context.ControlButtonType</class>
                      <string>CANCEL</string>
                    </object>
                  </void>
                </object>
              </java>
            </formComponent>
          </beans>
        </group>
      </formComponents>
    </style>
    <overriddenStyle id="2803.installer" referenceId="2803">
      <overriddenBeans>
        <overriddenBean id="2807" customizedId="" idNamespace="">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.formcomponents.SeparatorComponent">
              <void property="enabledTitleText">
                <boolean>false</boolean>
              </void>
            </object>
          </java>
        </overriddenBean>
      </overriddenBeans>
    </overriddenStyle>
    <overriddenStyle id="2803.uninstaller" referenceId="2803">
      <overriddenBeans>
        <overriddenBean id="2807" customizedId="" idNamespace="">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.formcomponents.SeparatorComponent">
              <void property="enabledTitleText">
                <boolean>false</boolean>
              </void>
            </object>
          </java>
        </overriddenBean>
      </overriddenBeans>
    </overriddenStyle>
  </styles>
  <applications>
    <application id="installer" customizedId="" idNamespace="">
      <java class="java.beans.XMLDecoder">
        <object class="com.install4j.runtime.beans.applications.InstallerApplication">
          <void property="frameSizeClientArea">
            <boolean>false</boolean>
          </void>
        </object>
      </java>
      <variables />
      <screens>
        <screen id="1" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" rollbackBarrierExitCode="0" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="false" wizardIndexChangeType="1" wizardIndexKey="" styleId="2803.installer">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.StartupScreen" />
          </java>
          <actions>
            <action id="888" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" rollbackBarrierExitCode="1" multiExec="false" cancelOnFail="1" errorMessage="" elevate="false">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.misc.RequestPrivilegesAction">
                  <void property="failIfNotRootUnix">
                    <boolean>true</boolean>
                  </void>
                  <void property="obtainIfAdminMac">
                    <boolean>true</boolean>
                  </void>
                  <void property="obtainIfNormalMac">
                    <boolean>true</boolean>
                  </void>
                  <void property="obtainIfNormalWin">
                    <boolean>true</boolean>
                  </void>
                </object>
              </java>
              <actionLists />
            </action>
          </actions>
          <formComponents />
        </screen>
        <screen id="2" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" rollbackBarrierExitCode="1" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="false" wizardIndexChangeType="1" wizardIndexKey="" styleId="2809">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.WelcomeScreen" />
          </java>
          <actions>
            <group id="2378" customizedId="" idNamespace="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.groups.ActionGroup">
                  <void property="conditionExpression">
                    <object class="com.install4j.api.beans.ScriptProperty">
                      <void property="value">
                        <string>com.install4j.script.I4jScript_Internal_73</string>
                      </void>
                    </object>
                  </void>
                </object>
              </java>
              <actionLists />
              <beans>
                <action id="2381" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" rollbackBarrierExitCode="1" multiExec="true" cancelOnFail="4" errorMessage="" elevate="false">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.actions.control.SetVariableAction">
                      <void property="script">
                        <object class="com.install4j.api.beans.ScriptProperty">
                          <void property="value">
                            <string>com.install4j.script.I4jScript_Internal_74</string>
                          </void>
                        </object>
                      </void>
                      <void property="variableName">
                        <string>sys.previousInstallationInfo</string>
                      </void>
                    </object>
                  </java>
                  <actionLists />
                </action>
                <action id="2382" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" rollbackBarrierExitCode="1" multiExec="true" cancelOnFail="4" errorMessage="" elevate="false">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.actions.control.SetVariableAction">
                      <void property="script">
                        <object class="com.install4j.api.beans.ScriptProperty">
                          <void property="value">
                            <string>com.install4j.script.I4jScript_Internal_75</string>
                          </void>
                        </object>
                      </void>
                      <void property="variableName">
                        <string>sys.previousInstallationDir</string>
                      </void>
                    </object>
                  </java>
                  <actionLists />
                </action>
                <action id="2383" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" rollbackBarrierExitCode="1" multiExec="true" cancelOnFail="4" errorMessage="" elevate="false">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.actions.control.SetVariableAction">
                      <void property="script">
                        <object class="com.install4j.api.beans.ScriptProperty">
                          <void property="value">
                            <string>com.install4j.script.I4jScript_Internal_76</string>
                          </void>
                        </object>
                      </void>
                      <void property="variableName">
                        <string>sys.previousInstallationVersion</string>
                      </void>
                    </object>
                  </java>
                  <actionLists />
                </action>
              </beans>
            </group>
          </actions>
          <formComponents>
            <formComponent id="2512" customizedId="" idNamespace="" initClassName="" visibilityClassName="com.install4j.script.I4jScript_Internal_77" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.formcomponents.MultilineLabelComponent">
                  <void property="labelText">
                    <string>${form:welcomeMessage}</string>
                  </void>
                </object>
              </java>
              <actionLists />
            </formComponent>
            <formComponent id="2513" customizedId="" idNamespace="" initClassName="" visibilityClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.formcomponents.ConsoleHandlerFormComponent">
                  <void property="consoleScript">
                    <object class="com.install4j.api.beans.ScriptProperty">
                      <void property="value">
                        <string>com.install4j.script.I4jScript_Internal_78</string>
                      </void>
                    </object>
                  </void>
                </object>
              </java>
              <actionLists />
            </formComponent>
            <formComponent id="2514" customizedId="" idNamespace="" initClassName="" visibilityClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.formcomponents.UpdateAlertComponent" />
              </java>
              <actionLists />
            </formComponent>
            <formComponent id="2515" customizedId="" idNamespace="" initClassName="" visibilityClassName="" insetsTop="20" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.formcomponents.MultilineLabelComponent">
                  <void property="labelText">
                    <string>${i18n:ClickNext}</string>
                  </void>
                </object>
              </java>
              <actionLists />
            </formComponent>
          </formComponents>
        </screen>
        <screen id="757" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" rollbackBarrierExitCode="1" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="false" wizardIndexChangeType="1" wizardIndexKey="" styleId="2803.installer">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.LicenseScreen" />
          </java>
          <actions />
          <formComponents>
            <formComponent id="2518" customizedId="" idNamespace="" initClassName="" visibilityClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.formcomponents.MultilineLabelComponent">
                  <void property="labelText">
                    <string>${i18n:LicenseLabel3}</string>
                  </void>
                </object>
              </java>
              <actionLists />
            </formComponent>
            <formComponent id="2519" customizedId="" idNamespace="" initClassName="" visibilityClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.formcomponents.LicenseComponent" id="LicenseComponent0">
                  <void id="LocalizedExternalFile0" property="displayedTextFile">
                    <void property="languageIdToExternalFile">
                      <void method="put">
                        <string>en</string>
                        <object class="com.install4j.api.beans.ExternalFile">
                          <string>i4j_extf_2_o53sel.txt</string>
                        </object>
                      </void>
                    </void>
                  </void>
                  <void property="fillVertical">
                    <boolean>true</boolean>
                  </void>
                  <void property="readAllRequired">
                    <boolean>true</boolean>
                  </void>
                </object>
              </java>
              <actionLists />
            </formComponent>
          </formComponents>
        </screen>
        <screen id="3" customizedId="" idNamespace="" conditionClass="com.install4j.script.I4jScript_Internal_79" rollbackBarrier="false" rollbackBarrierExitCode="1" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="false" wizardIndexChangeType="1" wizardIndexKey="" styleId="2803.installer">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.InstallationDirectoryScreen" />
          </java>
          <actions />
          <formComponents>
            <formComponent id="2522" customizedId="" idNamespace="" initClassName="" visibilityClassName="" insetsTop="3" insetsLeft="0" insetsBottom="25" insetsRight="0" resetInitOnPrevious="false">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.formcomponents.MultilineLabelComponent">
                  <void property="labelText">
                    <string>${i18n:SelectDirLabel(ActiveMFT Gateway Agent)}</string>
                  </void>
                </object>
              </java>
              <actionLists />
            </formComponent>
            <formComponent id="2523" customizedId="" idNamespace="" initClassName="" visibilityClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.formcomponents.InstallationDirectoryChooserComponent">
                  <void property="requestFocus">
                    <boolean>true</boolean>
                  </void>
                </object>
              </java>
              <actionLists />
            </formComponent>
          </formComponents>
        </screen>
        <screen id="5" customizedId="" idNamespace="" conditionClass="com.install4j.script.I4jScript_Internal_80" rollbackBarrier="false" rollbackBarrierExitCode="1" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="false" wizardIndexChangeType="1" wizardIndexKey="" styleId="2803.installer">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.StandardProgramGroupScreen">
              <void property="programGroupName">
                <string>ActiveMFT Gateway Agent</string>
              </void>
            </object>
          </java>
          <actions />
          <formComponents />
        </screen>
        <screen id="6" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="true" rollbackBarrierExitCode="1" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="false" wizardIndexChangeType="1" wizardIndexKey="" styleId="2803.installer">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.InstallationScreen" />
          </java>
          <actions>
            <group id="2199" customizedId="" idNamespace="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.groups.ActionGroup">
                  <void property="conditionExpression">
                    <object class="com.install4j.api.beans.ScriptProperty">
                      <void property="value">
                        <string>com.install4j.script.I4jScript_Internal_81</string>
                      </void>
                    </object>
                  </void>
                </object>
              </java>
              <actionLists />
              <beans>
                <action id="2198" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" rollbackBarrierExitCode="1" multiExec="false" cancelOnFail="1" errorMessage="" elevate="false">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.actions.control.SetMessageAction">
                      <void property="statusMessage">
                        <string>Stopping service...</string>
                      </void>
                      <void property="useStatus">
                        <boolean>true</boolean>
                      </void>
                    </object>
                  </java>
                  <actionLists />
                </action>
                <action id="3045" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" rollbackBarrierExitCode="0" multiExec="false" cancelOnFail="1" errorMessage="" elevate="true">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.actions.misc.RunExecutableAction">
                      <void property="arguments">
                        <array class="java.lang.String" length="1">
                          <void index="0">
                            <string>-stop</string>
                          </void>
                        </array>
                      </void>
                      <void property="executable">
                        <object class="java.io.File">
                          <string>agent</string>
                        </object>
                      </void>
                      <void property="stderrRedirectionMode">
                        <object class="java.lang.Enum" id="OutputRedirectionMode0" method="valueOf">
                          <class>com.install4j.runtime.installer.helper.launching.OutputRedirectionMode</class>
                          <string>LOG_FILE</string>
                        </object>
                      </void>
                      <void property="stdoutRedirectionMode">
                        <object idref="OutputRedirectionMode0" />
                      </void>
                      <void property="wait">
                        <boolean>true</boolean>
                      </void>
                      <void property="workingDirectory">
                        <object class="java.io.File">
                          <string>${installer:sys.installationDir}</string>
                        </object>
                      </void>
                    </object>
                  </java>
                  <actionLists />
                </action>
                <action id="2197" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" rollbackBarrierExitCode="1" multiExec="false" cancelOnFail="1" errorMessage="" elevate="false">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.actions.control.SleepAction">
                      <void property="sleepTimeMs">
                        <int>10000</int>
                      </void>
                    </object>
                  </java>
                  <actionLists />
                </action>
              </beans>
            </group>
            <group id="2577" customizedId="" idNamespace="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.groups.ActionGroup">
                  <void property="conditionExpression">
                    <object class="com.install4j.api.beans.ScriptProperty">
                      <void property="value">
                        <string>com.install4j.script.I4jScript_Internal_82</string>
                      </void>
                    </object>
                  </void>
                </object>
              </java>
              <actionLists />
              <beans>
                <action id="2576" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" rollbackBarrierExitCode="1" multiExec="false" cancelOnFail="1" errorMessage="" elevate="true">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.actions.properties.ReadPropertiesFileAction">
                      <void property="file">
                        <object class="java.io.File">
                          <string>etc/agent.properties</string>
                        </object>
                      </void>
                      <void property="variableName">
                        <string>agent.connection.configuration</string>
                      </void>
                    </object>
                  </java>
                  <actionLists />
                </action>
                <action id="2578" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" rollbackBarrierExitCode="1" multiExec="false" cancelOnFail="1" errorMessage="" elevate="true">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.actions.properties.ReadPropertiesFileAction">
                      <void property="file">
                        <object class="java.io.File">
                          <string>etc/agent-log.properties</string>
                        </object>
                      </void>
                      <void property="variableName">
                        <string>agent.log.configuration</string>
                      </void>
                    </object>
                  </java>
                  <actionLists />
                </action>
              </beans>
            </group>
            <group id="2727" customizedId="" idNamespace="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.groups.ActionGroup">
                  <void property="conditionExpression">
                    <object class="com.install4j.api.beans.ScriptProperty">
                      <void property="value">
                        <string>com.install4j.script.I4jScript_Internal_83</string>
                      </void>
                    </object>
                  </void>
                </object>
              </java>
              <actionLists />
              <beans>
                <action id="2389" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" rollbackBarrierExitCode="1" multiExec="false" cancelOnFail="2" errorMessage="" elevate="true">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.actions.UninstallPreviousAction">
                      <void property="installationDirectory">
                        <object class="java.io.File">
                          <string>${installer:sys.previousInstallationDir}</string>
                        </object>
                      </void>
                    </object>
                  </java>
                  <actionLists />
                </action>
                <action id="2390" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" rollbackBarrierExitCode="1" multiExec="false" cancelOnFail="1" errorMessage="" elevate="false">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.actions.control.SleepAction">
                      <void property="sleepTimeMs">
                        <int>60000</int>
                      </void>
                    </object>
                  </java>
                  <actionLists />
                </action>
              </beans>
            </group>
            <action id="7" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" rollbackBarrierExitCode="1" multiExec="false" cancelOnFail="2" errorMessage="${i18n:FileCorrupted}" elevate="true">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.InstallFilesAction" />
              </java>
              <actionLists />
            </action>
            <group id="2579" customizedId="" idNamespace="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.groups.ActionGroup">
                  <void property="conditionExpression">
                    <object class="com.install4j.api.beans.ScriptProperty">
                      <void property="value">
                        <string>com.install4j.script.I4jScript_Internal_84</string>
                      </void>
                    </object>
                  </void>
                </object>
              </java>
              <actionLists />
              <beans>
                <action id="2580" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" rollbackBarrierExitCode="1" multiExec="false" cancelOnFail="1" errorMessage="" elevate="true">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.actions.properties.WritePropertiesFileAction">
                      <void property="file">
                        <object class="java.io.File">
                          <string>etc/agent.properties</string>
                        </object>
                      </void>
                      <void property="merge">
                        <boolean>false</boolean>
                      </void>
                      <void property="propertiesSource">
                        <object class="java.lang.Enum" method="valueOf">
                          <class>com.install4j.runtime.beans.actions.properties.PropertiesSource</class>
                          <string>VARIABLE</string>
                        </object>
                      </void>
                      <void property="replaceInstallerVariables">
                        <boolean>false</boolean>
                      </void>
                      <void property="sourceVariableName">
                        <string>agent.connection.configuration</string>
                      </void>
                    </object>
                  </java>
                  <actionLists />
                </action>
                <action id="2581" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" rollbackBarrierExitCode="1" multiExec="false" cancelOnFail="1" errorMessage="" elevate="true">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.actions.properties.WritePropertiesFileAction">
                      <void property="file">
                        <object class="java.io.File">
                          <string>etc/agent-log.properties</string>
                        </object>
                      </void>
                      <void property="merge">
                        <boolean>false</boolean>
                      </void>
                      <void property="propertiesSource">
                        <object class="java.lang.Enum" method="valueOf">
                          <class>com.install4j.runtime.beans.actions.properties.PropertiesSource</class>
                          <string>VARIABLE</string>
                        </object>
                      </void>
                      <void property="replaceInstallerVariables">
                        <boolean>false</boolean>
                      </void>
                      <void property="sourceVariableName">
                        <string>agent.log.configuration</string>
                      </void>
                    </object>
                  </java>
                  <actionLists />
                </action>
              </beans>
            </group>
            <action id="1908" customizedId="" idNamespace="" conditionClass="com.install4j.script.I4jScript_Internal_85" rollbackBarrier="false" rollbackBarrierExitCode="1" multiExec="false" cancelOnFail="1" errorMessage="" elevate="true">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.desktop.CreateProgramGroupAction" id="CreateProgramGroupAction0">
                  <void property="addUninstaller">
                    <boolean>true</boolean>
                  </void>
                  <void property="programGroupEntryConfigs">
                    <void method="add">
                      <object class="com.install4j.runtime.beans.screens.components.ProgramGroupFileConfig">
                        <void property="name">
                          <string>Administrative Tools/Start Agent</string>
                        </void>
                        <void property="runAsAdministrator">
                          <boolean>true</boolean>
                        </void>
                        <void property="target">
                          <object class="java.io.File">
                            <string>start_agent.bat</string>
                          </object>
                        </void>
                      </object>
                    </void>
                    <void method="add">
                      <object class="com.install4j.runtime.beans.screens.components.ProgramGroupFileConfig">
                        <void property="name">
                          <string>Administrative Tools/Stop Agent</string>
                        </void>
                        <void property="runAsAdministrator">
                          <boolean>true</boolean>
                        </void>
                        <void property="target">
                          <object class="java.io.File">
                            <string>stop_agent.bat</string>
                          </object>
                        </void>
                      </object>
                    </void>
                    <void method="add">
                      <object class="com.install4j.runtime.beans.screens.components.ProgramGroupFileConfig">
                        <void property="name">
                          <string>Administrative Tools/Restart Agent</string>
                        </void>
                        <void property="runAsAdministrator">
                          <boolean>true</boolean>
                        </void>
                        <void property="target">
                          <object class="java.io.File">
                            <string>restart_agent.bat</string>
                          </object>
                        </void>
                      </object>
                    </void>
                    <void method="add">
                      <object class="com.install4j.runtime.beans.screens.components.ProgramGroupFileConfig">
                        <void property="name">
                          <string>Help</string>
                        </void>
                        <void property="target">
                          <object class="java.io.File">
                            <string>help.url</string>
                          </object>
                        </void>
                      </object>
                    </void>
                  </void>
                  <void property="uninstallerMenuName">
                    <string>Uninstall</string>
                  </void>
                </object>
              </java>
              <actionLists />
            </action>
            <action id="9" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" rollbackBarrierExitCode="1" multiExec="false" cancelOnFail="1" errorMessage="" elevate="true">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.desktop.RegisterAddRemoveAction">
                  <void property="itemName">
                    <string>ActiveMFT Gateway Agent</string>
                  </void>
                </object>
              </java>
              <actionLists />
            </action>
            <action id="2448" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" rollbackBarrierExitCode="1" multiExec="false" cancelOnFail="3" errorMessage="" elevate="true">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.services.InstallServiceAction">
                  <void property="description">
                    <string>ActiveMFT Gateway Agent Service</string>
                  </void>
                  <void property="launcherId">
                    <string>1833</string>
                  </void>
                  <void property="macosIdentifier">
                    <string>com.jscape.MFTGatewayAgent</string>
                  </void>
                </object>
              </java>
              <actionLists />
            </action>
          </actions>
          <formComponents>
            <formComponent id="2738" customizedId="" idNamespace="" initClassName="" visibilityClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.formcomponents.ProgressComponent">
                  <void property="initialStatusMessage">
                    <string>${i18n:WizardPreparing}</string>
                  </void>
                </object>
              </java>
              <actionLists />
            </formComponent>
          </formComponents>
        </screen>
        <screen id="1911" customizedId="" idNamespace="" conditionClass="com.install4j.script.I4jScript_Internal_86" rollbackBarrier="false" rollbackBarrierExitCode="1" preActivationClass="" postActivationClass="" validationClass="" backButtonType="3" finishScreen="false" wizardIndexChangeType="1" wizardIndexKey="" styleId="2803.installer">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.FormScreen">
              <void property="subTitle">
                <string>Specify agent settings.</string>
              </void>
              <void property="title">
                <string>Agent Settings</string>
              </void>
            </object>
          </java>
          <actions>
            <action id="2312" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" rollbackBarrierExitCode="1" multiExec="true" cancelOnFail="1" errorMessage="" elevate="false">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.control.SetMessageAction">
                  <void property="statusMessage">
                    <string>Saving configuration...</string>
                  </void>
                  <void property="useStatus">
                    <boolean>true</boolean>
                  </void>
                </object>
              </java>
              <actionLists />
            </action>
            <action id="2313" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" rollbackBarrierExitCode="1" multiExec="true" cancelOnFail="5" errorMessage="Error saving agent configuration! See log file for details" elevate="true">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.misc.RunExecutableAction">
                  <void property="arguments">
                    <array class="java.lang.String" length="8">
                      <void index="0">
                        <string>-host</string>
                      </void>
                      <void index="1">
                        <string>${installer:agent.host}</string>
                      </void>
                      <void index="2">
                        <string>-port</string>
                      </void>
                      <void index="3">
                        <string>${installer:agent.port}</string>
                      </void>
                      <void index="4">
                        <string>-user</string>
                      </void>
                      <void index="5">
                        <string>${installer:agent.username}</string>
                      </void>
                      <void index="6">
                        <string>-password</string>
                      </void>
                      <void index="7">
                        <string>${installer:agent.password}</string>
                      </void>
                    </array>
                  </void>
                  <void property="executable">
                    <object class="java.io.File">
                      <string>agent-configuration</string>
                    </object>
                  </void>
                  <void property="includeParentEnvironmentVariables">
                    <boolean>false</boolean>
                  </void>
                  <void property="logArguments">
                    <boolean>true</boolean>
                  </void>
                  <void property="stderrRedirectionMode">
                    <object class="java.lang.Enum" id="OutputRedirectionMode0" method="valueOf">
                      <class>com.install4j.runtime.installer.helper.launching.OutputRedirectionMode</class>
                      <string>LOG_FILE</string>
                    </object>
                  </void>
                  <void property="stdoutRedirectionMode">
                    <object idref="OutputRedirectionMode0" />
                  </void>
                  <void property="wait">
                    <boolean>true</boolean>
                  </void>
                  <void property="workingDirectory">
                    <object class="java.io.File">
                      <string>.</string>
                    </object>
                  </void>
                </object>
              </java>
              <actionLists />
            </action>
            <action id="2314" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" rollbackBarrierExitCode="1" multiExec="true" cancelOnFail="1" errorMessage="" elevate="false">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.control.SetProgressAction">
                  <void property="percentValue">
                    <int>100</int>
                  </void>
                </object>
              </java>
              <actionLists />
            </action>
          </actions>
          <formComponents>
            <formComponent id="1912" customizedId="" idNamespace="" initClassName="" visibilityClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.formcomponents.TextfieldComponent">
                  <void property="checkIfEmpty">
                    <boolean>true</boolean>
                  </void>
                  <void property="labelText">
                    <string>Gateway host/IP*</string>
                  </void>
                  <void property="requestFocus">
                    <boolean>true</boolean>
                  </void>
                  <void property="variableName">
                    <string>agent.host</string>
                  </void>
                </object>
              </java>
              <actionLists />
            </formComponent>
            <formComponent id="1913" customizedId="" idNamespace="" initClassName="com.install4j.script.I4jScript_Internal_87" visibilityClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.formcomponents.NumberSpinnerComponent">
                  <void property="initialValue">
                    <int>30025</int>
                  </void>
                  <void property="labelText">
                    <string>Gateway port</string>
                  </void>
                  <void property="maxValue">
                    <int>65535</int>
                  </void>
                  <void property="minValue">
                    <int>1</int>
                  </void>
                  <void property="stepSize">
                    <int>1</int>
                  </void>
                  <void property="variableName">
                    <string>agent.port</string>
                  </void>
                </object>
              </java>
              <actionLists />
            </formComponent>
            <formComponent id="1914" customizedId="" idNamespace="" initClassName="" visibilityClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.formcomponents.TextfieldComponent">
                  <void property="checkIfEmpty">
                    <boolean>true</boolean>
                  </void>
                  <void property="labelText">
                    <string>Agent login*</string>
                  </void>
                  <void property="variableName">
                    <string>agent.username</string>
                  </void>
                </object>
              </java>
              <actionLists />
            </formComponent>
            <formComponent id="1915" customizedId="" idNamespace="" initClassName="" visibilityClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.formcomponents.PasswordComponent">
                  <void property="checkIfEmpty">
                    <boolean>true</boolean>
                  </void>
                  <void property="labelText">
                    <string>Agent password*</string>
                  </void>
                  <void property="variableName">
                    <string>agent.password</string>
                  </void>
                </object>
              </java>
              <actionLists />
            </formComponent>
            <formComponent id="2683" customizedId="" idNamespace="" initClassName="" visibilityClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.formcomponents.SeparatorComponent" />
              </java>
              <actionLists />
            </formComponent>
            <formComponent id="2638" customizedId="" idNamespace="" initClassName="" visibilityClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="true">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.formcomponents.ProgressComponent">
                  <void property="detailVisible">
                    <boolean>false</boolean>
                  </void>
                  <void property="hideInitially">
                    <boolean>true</boolean>
                  </void>
                </object>
              </java>
              <actionLists />
            </formComponent>
          </formComponents>
        </screen>
        <screen id="10" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" rollbackBarrierExitCode="1" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="true" wizardIndexChangeType="1" wizardIndexKey="" styleId="2809">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.FinishedScreen" />
          </java>
          <actions>
            <action id="1910" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" rollbackBarrierExitCode="1" multiExec="false" cancelOnFail="3" errorMessage="Error starting service!" elevate="true">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.services.StartServiceAction">
                  <void property="launcherId">
                    <string>1833</string>
                  </void>
                </object>
              </java>
              <actionLists />
            </action>
          </actions>
          <formComponents>
            <formComponent id="2751" customizedId="" idNamespace="" initClassName="" visibilityClassName="" insetsTop="3" insetsLeft="0" insetsBottom="10" insetsRight="0" resetInitOnPrevious="false">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.formcomponents.MultilineLabelComponent">
                  <void property="labelText">
                    <string>${form:finishedMessage}</string>
                  </void>
                </object>
              </java>
              <actionLists />
            </formComponent>
          </formComponents>
        </screen>
      </screens>
    </application>
    <application id="uninstaller" customizedId="" idNamespace="">
      <java class="java.beans.XMLDecoder">
        <object class="com.install4j.runtime.beans.applications.UninstallerApplication">
          <void property="customMacosExecutableName">
            <string>${i18n:UninstallerMenuEntry(ActiveMFT Gateway Agent)}</string>
          </void>
          <void property="frameSizeClientArea">
            <boolean>false</boolean>
          </void>
          <void property="useCustomMacosExecutableName">
            <boolean>true</boolean>
          </void>
        </object>
      </java>
      <variables />
      <screens>
        <screen id="11" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" rollbackBarrierExitCode="0" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="false" wizardIndexChangeType="1" wizardIndexKey="" styleId="2803.uninstaller">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.StartupScreen" />
          </java>
          <actions>
            <action id="888" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" rollbackBarrierExitCode="1" multiExec="false" cancelOnFail="1" errorMessage="" elevate="false">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.misc.RequestPrivilegesAction">
                  <void property="failIfNotRootUnix">
                    <boolean>true</boolean>
                  </void>
                  <void property="obtainIfAdminMac">
                    <boolean>true</boolean>
                  </void>
                  <void property="obtainIfNormalMac">
                    <boolean>true</boolean>
                  </void>
                  <void property="obtainIfNormalWin">
                    <boolean>true</boolean>
                  </void>
                </object>
              </java>
              <actionLists />
            </action>
          </actions>
          <formComponents />
        </screen>
        <screen id="12" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" rollbackBarrierExitCode="1" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="false" wizardIndexChangeType="1" wizardIndexKey="" styleId="2809">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.UninstallWelcomeScreen" />
          </java>
          <actions />
          <formComponents>
            <formComponent id="2757" customizedId="" idNamespace="" initClassName="" visibilityClassName="com.install4j.script.I4jScript_Internal_88" insetsTop="3" insetsLeft="0" insetsBottom="10" insetsRight="0" resetInitOnPrevious="false">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.formcomponents.MultilineLabelComponent">
                  <void property="labelText">
                    <string>${form:welcomeMessage}</string>
                  </void>
                </object>
              </java>
              <actionLists />
            </formComponent>
            <formComponent id="2758" customizedId="" idNamespace="" initClassName="" visibilityClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.formcomponents.ConsoleHandlerFormComponent">
                  <void property="consoleScript">
                    <object class="com.install4j.api.beans.ScriptProperty">
                      <void property="value">
                        <string>com.install4j.script.I4jScript_Internal_89</string>
                      </void>
                    </object>
                  </void>
                </object>
              </java>
              <actionLists />
            </formComponent>
          </formComponents>
        </screen>
        <screen id="13" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" rollbackBarrierExitCode="1" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="false" wizardIndexChangeType="1" wizardIndexKey="" styleId="2803.uninstaller">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.UninstallationScreen" />
          </java>
          <actions>
            <action id="1906" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" rollbackBarrierExitCode="1" multiExec="false" cancelOnFail="1" errorMessage="" elevate="true">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.services.StopServiceAction">
                  <void property="launcherId">
                    <string>1833</string>
                  </void>
                </object>
              </java>
              <actionLists />
            </action>
            <action id="2193" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" rollbackBarrierExitCode="1" multiExec="false" cancelOnFail="1" errorMessage="" elevate="false">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.control.SleepAction">
                  <void property="sleepTimeMs">
                    <int>5000</int>
                  </void>
                </object>
              </java>
              <actionLists />
            </action>
            <action id="14" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" rollbackBarrierExitCode="1" multiExec="false" cancelOnFail="1" errorMessage="" elevate="true">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.UninstallFilesAction" />
              </java>
              <actionLists />
            </action>
            <action id="2194" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" rollbackBarrierExitCode="1" multiExec="false" cancelOnFail="1" errorMessage="" elevate="true">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.control.RunScriptAction">
                  <void property="script">
                    <object class="com.install4j.api.beans.ScriptProperty">
                      <void property="value">
                        <string>com.install4j.script.I4jScript_Internal_90</string>
                      </void>
                    </object>
                  </void>
                </object>
              </java>
              <actionLists />
            </action>
          </actions>
          <formComponents>
            <formComponent id="2765" customizedId="" idNamespace="" initClassName="" visibilityClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.formcomponents.ProgressComponent">
                  <void property="initialStatusMessage">
                    <string>${i18n:UninstallerPreparing}</string>
                  </void>
                </object>
              </java>
              <actionLists />
            </formComponent>
          </formComponents>
        </screen>
        <screen id="16" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" rollbackBarrierExitCode="1" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="true" wizardIndexChangeType="1" wizardIndexKey="" styleId="2803.uninstaller">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.UninstallFailureScreen" />
          </java>
          <actions />
          <formComponents />
        </screen>
        <screen id="15" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" rollbackBarrierExitCode="1" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="true" wizardIndexChangeType="1" wizardIndexKey="" styleId="2809">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.UninstallSuccessScreen" />
          </java>
          <actions />
          <formComponents>
            <formComponent id="2768" customizedId="" idNamespace="" initClassName="" visibilityClassName="" insetsTop="3" insetsLeft="0" insetsBottom="10" insetsRight="0" resetInitOnPrevious="false">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.formcomponents.MultilineLabelComponent">
                  <void property="labelText">
                    <string>${form:successMessage}</string>
                  </void>
                </object>
              </java>
              <actionLists />
            </formComponent>
          </formComponents>
        </screen>
      </screens>
    </application>
  </applications>
  <launchers>
    <launcher type="service" id="1833" customizedId="" menuName="ActiveMFT Gateway Agent" excludeFromMenu="true" uninstaller="false" name="ActiveMFT Gateway Agent" file="agent" />
    <launcher type="console" id="1836" customizedId="" menuName="Agent Configuration" excludeFromMenu="true" uninstaller="false" name="Agent Configuration" file="agent-configuration" />
  </launchers>
  <components>
    <component name="ActiveMFT Gateway Agent" id="2499" customizedId="" displayDescription="false" hideHelpButton="false" allIncluded="true" selected="true" changeable="true" downloaded="false" hidden="false">
      <description />
    </component>
  </components>
  <externalRoots />
  <filesets />
  <scriptClassOrigins>
    <class className="com.install4j.script.I4jScript_Internal_73" beanType="group" beanName="Action group" propertyName="Condition expression" parentScreen="Welcome" importLineCount="0" headerLineCount="19" scriptLineCount="1" />
    <class className="com.install4j.script.I4jScript_Internal_74" beanType="action" beanName="Set a variable" propertyName="Script" parentScreen="Welcome" importLineCount="0" headerLineCount="19" scriptLineCount="3" />
    <class className="com.install4j.script.I4jScript_Internal_75" beanType="action" beanName="Set a variable" propertyName="Script" parentScreen="Welcome" importLineCount="0" headerLineCount="19" scriptLineCount="2" />
    <class className="com.install4j.script.I4jScript_Internal_76" beanType="action" beanName="Set a variable" propertyName="Script" parentScreen="Welcome" importLineCount="0" headerLineCount="19" scriptLineCount="2" />
    <class className="com.install4j.script.I4jScript_Internal_77" beanType="form component" beanName="Multi-line label" propertyName="Visibility script" parentScreen="Welcome" importLineCount="0" headerLineCount="19" scriptLineCount="1" />
    <class className="com.install4j.script.I4jScript_Internal_78" beanType="form component" beanName="Console handler" propertyName="Console script" parentScreen="Welcome" importLineCount="0" headerLineCount="19" scriptLineCount="3" />
    <class className="com.install4j.script.I4jScript_Internal_79" beanType="screen" beanName="Installation location" propertyName="Condition expression" parentScreen="" importLineCount="0" headerLineCount="19" scriptLineCount="1" />
    <class className="com.install4j.script.I4jScript_Internal_80" beanType="screen" beanName="Create program group" propertyName="Condition expression" parentScreen="" importLineCount="0" headerLineCount="19" scriptLineCount="1" />
    <class className="com.install4j.script.I4jScript_Internal_81" beanType="group" beanName="Stop services [Action group]" propertyName="Condition expression" parentScreen="Installation" importLineCount="0" headerLineCount="19" scriptLineCount="1" />
    <class className="com.install4j.script.I4jScript_Internal_82" beanType="group" beanName="Backup [Action group]" propertyName="Condition expression" parentScreen="Installation" importLineCount="0" headerLineCount="19" scriptLineCount="1" />
    <class className="com.install4j.script.I4jScript_Internal_83" beanType="group" beanName="Uninstall [Action group]" propertyName="Condition expression" parentScreen="Installation" importLineCount="0" headerLineCount="19" scriptLineCount="1" />
    <class className="com.install4j.script.I4jScript_Internal_84" beanType="group" beanName="Restore configuration [Action group]" propertyName="Condition expression" parentScreen="Installation" importLineCount="0" headerLineCount="19" scriptLineCount="1" />
    <class className="com.install4j.script.I4jScript_Internal_85" beanType="action" beanName="Create program group [Create program group]" propertyName="Condition expression" parentScreen="Installation" importLineCount="0" headerLineCount="19" scriptLineCount="1" />
    <class className="com.install4j.script.I4jScript_Internal_86" beanType="screen" beanName="Agent configuration [Form]" propertyName="Condition expression" parentScreen="" importLineCount="0" headerLineCount="19" scriptLineCount="1" />
    <class className="com.install4j.script.I4jScript_Internal_87" beanType="form component" beanName="Spinner of integer values" propertyName="Initialization script" parentScreen="Agent configuration [Form]" importLineCount="0" headerLineCount="19" scriptLineCount="7" />
    <class className="com.install4j.script.I4jScript_Internal_88" beanType="form component" beanName="Multi-line label" propertyName="Visibility script" parentScreen="Uninstall Welcome" importLineCount="0" headerLineCount="19" scriptLineCount="1" />
    <class className="com.install4j.script.I4jScript_Internal_89" beanType="form component" beanName="Console handler" propertyName="Console script" parentScreen="Uninstall Welcome" importLineCount="0" headerLineCount="19" scriptLineCount="3" />
    <class className="com.install4j.script.I4jScript_Internal_90" beanType="action" beanName="Run script" propertyName="Script" parentScreen="Uninstallation" importLineCount="0" headerLineCount="19" scriptLineCount="5" />
    <class className="com.install4j.script.I4jScript_Internal_0" beanType="Static members" beanName="" propertyName="" parentScreen="" importLineCount="2" headerLineCount="17" scriptLineCount="59" />
  </scriptClassOrigins>
</config>
